Bug 580518 - gedit auto exit when open a empty file
gedit auto exit when open a empty file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 09:16 EDT by Luo Bin
Modified: 2011-06-27 11:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luo Bin 2010-04-08 09:16:38 EDT
Description of problem:
When open a empty file using gedit,gedit will exit automatically .

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. open nautilus
2. rightclick --> Creat files--> empty file
3. use gedit to open it

Actual results:
gedit will exit automatically

Expected results:
gedit shuold open it so that user could modify the file!

Additional info:
Comment 1 Luo Bin 2010-04-08 09:17:51 EDT
gedit version:gedit-2.30.0-1.fc13.i686
Comment 2 Matthias Clasen 2010-04-09 21:43:43 EDT
This is not happening here. Anything particular about your system ? filesystem encoding, locale, etc ?
Comment 3 Luo Bin 2010-04-09 21:51:12 EDT
i'm a chinese user,my locale :
[gcell@ASUS6 ~]$ locale
LANG=zh_CN.utf8
LC_CTYPE="zh_CN.utf8"
LC_NUMERIC="zh_CN.utf8"
LC_TIME="zh_CN.utf8"
LC_COLLATE="zh_CN.utf8"
LC_MONETARY="zh_CN.utf8"
LC_MESSAGES="zh_CN.utf8"
LC_PAPER="zh_CN.utf8"
LC_NAME="zh_CN.utf8"
LC_ADDRESS="zh_CN.utf8"
LC_TELEPHONE="zh_CN.utf8"
LC_MEASUREMENT="zh_CN.utf8"
LC_IDENTIFICATION="zh_CN.utf8"
LC_ALL=

encoding information:
[gcell@ASUS6 ~]$ cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Wed Mar 17 22:59:48 2010
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/vg_asus6-lv_root /                       ext4    defaults        1 1
UUID=35bbdeee-50dd-4933-8783-5126f131239d /boot                   ext4    defaults        1 2
/dev/mapper/vg_asus6-lv_home /home                   ext4    defaults        1 2
/dev/mapper/vg_asus6-lv_swap swap                    swap    defaults        0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0

Thanks!
Comment 4 Luo Bin 2010-04-17 04:20:35 EDT
[gcell@ASUS6 ~]$ gedit empty_file 

(gedit:6172): GLib-GIO-CRITICAL **: g_converter_convert: assertion `outbuf_size > 0' failed
段错误 (core dumped)
[gcell@ASUS6 ~]$
Comment 5 Chen Lei 2010-04-18 00:20:51 EDT
段错误 means segment fault. It's a true bug.
Comment 6 Peng Wu 2010-09-12 22:26:04 EDT
This only happens on x86_64 system, gedit works find on i386 system.
Comment 7 Peng Wu 2010-09-12 22:28:47 EDT
Sorry for the typo,
This only happens on x86_64 system, gedit works fine on i386 system.
Comment 8 Daiki Ueno 2010-09-20 23:35:27 EDT
I can't reproduce this with gedit-2.30.2-1.fc13.x86_64 under zh_CN.utf8, but
from the error message it looks like upstream bug 616251:

https://bugzilla.gnome.org/show_bug.cgi?id=616251
Comment 9 Bug Zapper 2011-06-02 11:34:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 11:29:02 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.